#!/usr/bin/env python
#Author: Mark Feineigle
#Create Date: 2018/03/23
#Last Modify: 2018/03/23
from sklearn.feature_selection import RFE
from sklearn.linear_model import LogisticRegression
from sklearn.datasets import make_classification
for i in range(1,11):
  X,y = make_classification(n_samples=100,
                            n_features=10,
                            n_informative=3,
                            random_state=0)
  clf = LogisticRegression()
  clf.fit(X, y)
  selector = RFE(clf, n_features_to_select=i)
  selector = selector.fit(X, y)
  print i,
  print(selector.support_),
  # [False True False True False False False False True False]
  print(selector.ranking_)
  # [4 1 3 1 8 5 7 6 1 2]
